```{eval-rst}
evennia.contrib.base\_systems.components 
================================================

.. automodule:: evennia.contrib.base_systems.components
   :members:
   :undoc-members:
   :show-inheritance:



.. toctree::
   :maxdepth: 6

   evennia.contrib.base_systems.components.component
   evennia.contrib.base_systems.components.dbfield
   evennia.contrib.base_systems.components.holder
   evennia.contrib.base_systems.components.signals
   evennia.contrib.base_systems.components.tests

```